#ifndef CFG_DEFS_H
#define CFG_DEFS_H 1

static CONST struct {
	CONST char *name;
	CONST char *value;
} config_cache[] = {
	{ "SYSTEM_MAIL",	"unknown" },
	{ "alt_char_set",	"acs_map" },
	{ "ansi_varargs",	"yes" },
	{ "baddef_remove",	"no" },
	{ "bool_defs",	"yes" },
	{ "c_const",	"yes" },
	{ "c_inline",	"inline" },
	{ "color_curses",	"yes" },
	{ "curs_performance",	"no" },
	{ "dcl_errno",	"yes" },
	{ "dcl_sys_errlist",	"no" },
	{ "dcl_sys_nerr",	"no" },
	{ "ebcdic",	"no" },
	{ "fancy_curses",	"yes" },
	{ "fionbio",	"fcntl" },
	{ "func___argz_count",	"no" },
	{ "func___argz_next",	"no" },
	{ "func___argz_stringify",	"no" },
	{ "func_alloca_works",	"yes" },
	{ "func_cbreak",	"yes" },
	{ "func_cuserid",	"yes" },
	{ "func_decl_getgrgid",	"yes" },
	{ "func_decl_getgrnam",	"yes" },
	{ "func_decl_strstr",	"yes" },
	{ "func_define_key",	"no" },
	{ "func_getcwd",	"yes" },
	{ "func_getgroups",	"yes" },
	{ "func_gethostbyname",	"yes" },
	{ "func_gethostname",	"yes" },
	{ "func_getpagesize",	"no" },
	{ "func_gettimeofday",	"yes" },
	{ "func_initscr",	"no" },
	{ "func_keypad",	"yes" },
	{ "func_lstat",	"yes" },
	{ "func_mktime",	"yes" },
	{ "func_mmap_fixed_mapped",	"no" },
	{ "func_munmap",	"no" },
	{ "func_popen",	"yes" },
	{ "func_putenv",	"yes" },
	{ "func_readdir",	"yes" },
	{ "func_setenv",	"no" },
	{ "func_setlocale",	"yes" },
	{ "func_socket",	"yes" },
	{ "func_stpcpy",	"yes" },
	{ "func_strcasecmp",	"yes" },
	{ "func_strchr",	"yes" },
	{ "func_strerror",	"yes" },
	{ "func_strstr",	"yes" },
	{ "func_tgoto",	"no" },
	{ "func_unsetenv",	"no" },
	{ "func_use_default_colors",	"no" },
	{ "func_vfork_works",	"no" },
	{ "func_waitpid",	"yes" },
	{ "func_wborder",	"yes" },
	{ "have_errno",	"yes" },
	{ "have_h_errno",	"yes" },
	{ "have_inet_addr",	"no" },
	{ "have_inet_aton",	"no" },
	{ "have_sys_errlist",	"no" },
	{ "have_sys_nerr",	"no" },
	{ "have_ttytype",	"yes" },
	{ "have_utmp",	"no" },
	{ "header_alloca_h",	"yes" },
	{ "header_argz_h",	"no" },
	{ "header_dirent_dirent_h",	"yes" },
	{ "header_fcntl_h",	"yes" },
	{ "header_intl",	"intl/libintl.h" },
	{ "header_libgt",	"intl/libgettext.h" },
	{ "header_limits_h",	"yes" },
	{ "header_locale_h",	"yes" },
	{ "header_malloc_h",	"yes" },
	{ "header_nl_types_h",	"no" },
	{ "header_stdarg_h",	"yes" },
	{ "header_stdc",	"yes" },
	{ "header_stdlib_h",	"yes" },
	{ "header_string_h",	"yes" },
	{ "header_sys_fcntl_h",	"yes" },
	{ "header_sys_filio_h",	"no" },
	{ "header_sys_ioctl_h",	"yes" },
	{ "header_sys_param_h",	"yes" },
	{ "header_sys_time_h",	"yes" },
	{ "header_sys_wait_h",	"yes" },
	{ "header_termio_h",	"no" },
	{ "header_termios_h",	"yes" },
	{ "header_time",	"yes" },
	{ "header_unistd_h",	"yes" },
	{ "header_values_h",	"no" },
	{ "header_varargs_h",	"yes" },
	{ "header_vfork_h",	"no" },
	{ "lib_cursesX_initscr",	"no" },
	{ "lib_curses_initscr",	"no" },
	{ "lib_dir_opendir",	"no" },
	{ "lib_inet",	"no" },
	{ "lib_inet_addr",	"no" },
	{ "lib_ncurses_initscr",	"yes" },
	{ "lib_termcap_tgoto",	"yes" },
	{ "locale",	"yes" },
	{ "ncurses_broken",	"no" },
	{ "ncurses_header",	"curses.h" },
	{ "ncurses_version",	"1.9.9g" },
	{ "netlibs",	"" },
	{ "ngroups",	"NGROUPS_MAX" },
	{ "path_BZIP2",	"bzip2" },
	{ "path_CHMOD",	"/bin/chmod" },
	{ "path_COMPRESS",	"/bin/compress" },
	{ "path_COPY",	"/bin/cp" },
	{ "path_GZIP",	"/bin/gzip" },
	{ "path_MKDIR",	"/bin/mkdir" },
	{ "path_MV",	"/bin/mv" },
	{ "path_RLOGIN",	"rlogin" },
	{ "path_RM",	"/bin/rm" },
	{ "path_TAR",	"/bin/tar" },
	{ "path_TELNET",	"/bin/telnet" },
	{ "path_TN3270",	"tn3270" },
	{ "path_TOUCH",	"/bin/touch" },
	{ "path_UNCOMPRESS",	"/bin/gunzip" },
	{ "path_UNZIP",	"/bin/unzip" },
	{ "path_UUDECODE",	"/bin/uudecode" },
	{ "path_ZCAT",	"/bin/zcat" },
	{ "path_ZIP",	"/boot/home/config/bin/zip" },
	{ "path_install",	"'/bin/install -c'" },
	{ "prog_CC",	"gcc" },
	{ "prog_CPP",	"'gcc -E'" },
	{ "prog_RANLIB",	"ranlib" },
	{ "prog_cc_cross",	"no" },
	{ "prog_cc_g",	"yes" },
	{ "prog_cc_works",	"yes" },
	{ "prog_gcc",	"yes" },
	{ "prog_make_make_set",	"yes" },
	{ "screen",	"curses" },
	{ "sizechange",	"yes" },
	{ "system_mail_flags",	"'-t -oi'" },
	{ "system_name",	"beos" },
	{ "termio_and_curses",	"no" },
	{ "termio_and_termios",	"yes" },
	{ "type_getgroups",	"gid_t" },
	{ "type_mode_t",	"yes" },
	{ "type_off_t",	"yes" },
	{ "type_pid_t",	"yes" },
	{ "type_size_t",	"yes" },
	{ "type_uid_t",	"yes" },
	{ "type_unionwait",	"no" },
	{ "use_libsocks5",	"no" },
	{ "use_libsocks",	"no" },
	{ "val_LC_MESSAGES",	"yes" },
};

static CONST struct {
	CONST char *name;
	CONST char *value;
} config_defines[] = {
	{ "ALT_CHAR_SET",	"acs_map" },
	{ "ANSI_VARARGS",	"1" },
	{ "BZIP2_PATH",	"\"bzip2\"" },
	{ "CHMOD_PATH",	"\"/bin/chmod\"" },
	{ "COLOR_CURSES",	"1" },
	{ "COMPRESS_PATH",	"\"/bin/compress\"" },
	{ "COPY_PATH",	"\"/bin/cp\"" },
	{ "DECL_SYS_ERRLIST",	"1" },
	{ "DIRED_SUPPORT",	"1" },
	{ "DISP_PARTIAL",	"1" },
	{ "DONT_TRACK_INTERNAL_LINKS",	"1" },
	{ "EXP_ALT_BINDINGS",	"1" },
	{ "EXP_PERSISTENT_COOKIES",	"1" },
	{ "FANCY_CURSES",	"1" },
	{ "GETGROUPS_T",	"gid_t" },
	{ "GZIP_PATH",	"\"/bin/gzip\"" },
	{ "HAVE_ALLOCA",	"1" },
	{ "HAVE_ALLOCA_H",	"1" },
	{ "HAVE_CBREAK",	"1" },
	{ "HAVE_CUSERID",	"1" },
	{ "HAVE_DIRENT_H",	"1" },
	{ "HAVE_FCNTL_H",	"1" },
	{ "HAVE_GETBKGD",	"1" },
	{ "HAVE_GETCWD",	"1" },
	{ "HAVE_GETGROUPS",	"1" },
	{ "HAVE_GETTIMEOFDAY",	"1" },
	{ "HAVE_H_ERRNO",	"1" },
	{ "HAVE_KEYPAD",	"1" },
	{ "HAVE_LC_MESSAGES",	"1" },
	{ "HAVE_LIMITS_H",	"1" },
	{ "HAVE_LOCALE_H",	"1" },
	{ "HAVE_LSTAT",	"1" },
	{ "HAVE_MALLOC_H",	"1" },
	{ "HAVE_POPEN",	"1" },
	{ "HAVE_PUTENV",	"1" },
	{ "HAVE_READDIR",	"1" },
	{ "HAVE_SETLOCALE",	"1" },
	{ "HAVE_SIZECHANGE",	"1" },
	{ "HAVE_STDARG_H",	"1" },
	{ "HAVE_STDLIB_H",	"1" },
	{ "HAVE_STPCPY",	"1" },
	{ "HAVE_STRCASECMP",	"1" },
	{ "HAVE_STRCHR",	"1" },
	{ "HAVE_STRERROR",	"1" },
	{ "HAVE_STRING_H",	"1" },
	{ "HAVE_SYS_FCNTL_H",	"1" },
	{ "HAVE_SYS_IOCTL_H",	"1" },
	{ "HAVE_SYS_PARAM_H",	"1" },
	{ "HAVE_SYS_WAIT_H",	"1" },
	{ "HAVE_TERMIOS_H",	"1" },
	{ "HAVE_TTYTYPE",	"1" },
	{ "HAVE_UNISTD_H",	"1" },
	{ "HAVE_VARARGS_H",	"1" },
	{ "HAVE_WAITPID",	"1" },
	{ "HAVE_WBORDER",	"1" },
	{ "INSTALL_PATH",	"\"/bin/install -c\"" },
	{ "LOCALE",	"1" },
	{ "LONG_LIST",	"1" },
	{ "LYNX_CFG_FILE",	"\"/boot/home/config/settings/lynx.cfg\" /*" },
	{ "LYNX_CFG_H",	"1" },
	{ "MKDIR_PATH",	"\"/bin/mkdir\"" },
	{ "MV_PATH",	"\"/bin/mv\"" },
	{ "NGROUPS",	"NGROUPS_MAX" },
	{ "OK_GZIP",	"1" },
	{ "OK_OVERRIDE",	"1" },
	{ "OK_PERMIT",	"1" },
	{ "OK_TAR",	"1" },
	{ "OK_UUDECODE",	"1" },
	{ "OK_ZIP",	"1" },
	{ "RLOGIN_PATH",	"\"rlogin\"" },
	{ "RM_PATH",	"\"/bin/rm\"" },
	{ "STDC_HEADERS",	"1" },
	{ "SYSTEM_MAIL",	"\"unknown\"" },
	{ "SYSTEM_MAIL_FLAGS",	"\"-t -oi\"" },
	{ "SYSTEM_NAME",	"\"beos\"" },
	{ "TAR_PATH",	"\"/bin/tar\"" },
	{ "TELNET_PATH",	"\"/bin/telnet\"" },
	{ "TN3270_PATH",	"\"tn3270\"" },
	{ "TOUCH_PATH",	"\"/bin/touch\"" },
	{ "UNCOMPRESS_PATH",	"\"/bin/gunzip\"" },
	{ "UNIX",	"1" },
	{ "UNZIP_PATH",	"\"/bin/unzip\"" },
	{ "USE_EXTERNALS",	"1" },
	{ "USE_FCNTL",	"1" },
	{ "UUDECODE_PATH",	"\"/bin/uudecode\"" },
	{ "ZCAT_PATH",	"\"/bin/zcat\"" },
	{ "ZIP_PATH",	"\"/boot/home/config/bin/zip\"" },
	{ "lstat",	"stat" },
	{ "vfork",	"fork" },
};

#endif /* CFG_DEFS_H */
